menu
#2907035 Nesting level too deep - recursive dependency?

Submitted by PocketMine-MP 3.9.5

General information

Version: 3.9.5
Git commit: f0539f48
Plugin involvement: Direct
Report date: 2019-10-09 19:25:02 +0000 UTC

System Information

PHP version: 7.3.8
Operating system: linux
System banner: Linux 5167 4.15.18-19-pve #1 SMP PVE 4.15.18-45 (Fri, 26 Jul 2019 09:34:08 +0200) x86_64

Error information

Warning: the AdminTroll plugin was directly involved in this crash. Please contact the plugin author.
Message: Nesting level too deep - recursive dependency?
File: plugins/AdminTroll-a-plugin-PocketMine-MP-.phar/src/Swourire/AdminTroll/Events/Events
Line: #63
Error level: E_ERROR
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73

if($item->getId() === 385 && $item->getCustomName() === '§l§1> §r§bFake OP'){
$this->plugin->functions->fakeOpPlayer($player);
$event->setCancelled();
}
}

public function onJump(PlayerJumpEvent $event){
$player = $event->getPlayer();
if(in_array($player, $this->plugin->toJump)){
$jump = Effect::getEffect(24);
$instance = new EffectInstance($jump, 1 * 20, 50, false);
$player->addEffect($instance);
$key = array_search($player, $this->plugin->toJump);
unset($this->plugin->toJump[$key]);
}
}

public function onInteract(PlayerInteractEvent $event){
$item = $event->getItem();

Loaded Plugins

  • Show

Server Settings

  • Show